/[m4]/m4/configure
ViewVC logotype

Diff of /m4/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.1.1.1.2.4 by gary, Sat Aug 21 13:20:16 2004 UTC revision 1.1.1.1.2.5 by gary, Thu Feb 3 15:21:06 2005 UTC
# Line 3675  fi Line 3675  fi
3675    
3676  done  done
3677    
3678    
3679    
3680    for ac_header in signal.h sys/signal.h
3681    do
3682    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3683    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3684      echo "$as_me:$LINENO: checking for $ac_header" >&5
3685    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3686    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3687      echo $ECHO_N "(cached) $ECHO_C" >&6
3688    fi
3689    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3690    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3691    else
3692      # Is the header compilable?
3693    echo "$as_me:$LINENO: checking $ac_header usability" >&5
3694    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
3695    cat >conftest.$ac_ext <<_ACEOF
3696    /* confdefs.h.  */
3697    _ACEOF
3698    cat confdefs.h >>conftest.$ac_ext
3699    cat >>conftest.$ac_ext <<_ACEOF
3700    /* end confdefs.h.  */
3701    $ac_includes_default
3702    #include <$ac_header>
3703    _ACEOF
3704    rm -f conftest.$ac_objext
3705    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3706      (eval $ac_compile) 2>conftest.er1
3707      ac_status=$?
3708      grep -v '^ *+' conftest.er1 >conftest.err
3709      rm -f conftest.er1
3710      cat conftest.err >&5
3711      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3712      (exit $ac_status); } &&
3713             { ac_try='test -z "$ac_c_werror_flag"
3714                             || test ! -s conftest.err'
3715      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3716      (eval $ac_try) 2>&5
3717      ac_status=$?
3718      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3719      (exit $ac_status); }; } &&
3720             { ac_try='test -s conftest.$ac_objext'
3721      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3722      (eval $ac_try) 2>&5
3723      ac_status=$?
3724      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3725      (exit $ac_status); }; }; then
3726      ac_header_compiler=yes
3727    else
3728      echo "$as_me: failed program was:" >&5
3729    sed 's/^/| /' conftest.$ac_ext >&5
3730    
3731    ac_header_compiler=no
3732    fi
3733    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3734    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
3735    echo "${ECHO_T}$ac_header_compiler" >&6
3736    
3737    # Is the header present?
3738    echo "$as_me:$LINENO: checking $ac_header presence" >&5
3739    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
3740    cat >conftest.$ac_ext <<_ACEOF
3741    /* confdefs.h.  */
3742    _ACEOF
3743    cat confdefs.h >>conftest.$ac_ext
3744    cat >>conftest.$ac_ext <<_ACEOF
3745    /* end confdefs.h.  */
3746    #include <$ac_header>
3747    _ACEOF
3748    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3749      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3750      ac_status=$?
3751      grep -v '^ *+' conftest.er1 >conftest.err
3752      rm -f conftest.er1
3753      cat conftest.err >&5
3754      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3755      (exit $ac_status); } >/dev/null; then
3756      if test -s conftest.err; then
3757        ac_cpp_err=$ac_c_preproc_warn_flag
3758        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3759      else
3760        ac_cpp_err=
3761      fi
3762    else
3763      ac_cpp_err=yes
3764    fi
3765    if test -z "$ac_cpp_err"; then
3766      ac_header_preproc=yes
3767    else
3768      echo "$as_me: failed program was:" >&5
3769    sed 's/^/| /' conftest.$ac_ext >&5
3770    
3771      ac_header_preproc=no
3772    fi
3773    rm -f conftest.err conftest.$ac_ext
3774    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
3775    echo "${ECHO_T}$ac_header_preproc" >&6
3776    
3777    # So?  What about this header?
3778    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
3779      yes:no: )
3780        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
3781    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
3782        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
3783    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
3784        ac_header_preproc=yes
3785        ;;
3786      no:yes:* )
3787        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
3788    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
3789        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
3790    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
3791        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
3792    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
3793        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
3794    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
3795        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
3796    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
3797        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
3798    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
3799        (
3800          cat <<\_ASBOX
3801    ## ------------------------------------------ ##
3802    ## Report this to the AC_PACKAGE_NAME lists.  ##
3803    ## ------------------------------------------ ##
3804    _ASBOX
3805        ) |
3806          sed "s/^/$as_me: WARNING:     /" >&2
3807        ;;
3808    esac
3809    echo "$as_me:$LINENO: checking for $ac_header" >&5
3810    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3811    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3812      echo $ECHO_N "(cached) $ECHO_C" >&6
3813    else
3814      eval "$as_ac_Header=\$ac_header_preproc"
3815    fi
3816    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3817    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3818    
3819    fi
3820    if test `eval echo '${'$as_ac_Header'}'` = yes; then
3821      cat >>confdefs.h <<_ACEOF
3822    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
3823    _ACEOF
3824     break
3825    fi
3826    
3827    done
3828    
3829  echo "$as_me:$LINENO: checking for ANSI C header files" >&5  echo "$as_me:$LINENO: checking for ANSI C header files" >&5
3830  echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6  echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
3831  if test "${ac_cv_header_stdc+set}" = set; then  if test "${ac_cv_header_stdc+set}" = set; then

Legend:
Removed from v.1.1.1.1.2.4  
changed lines
  Added in v.1.1.1.1.2.5

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26